Subject: bug#35247: [PATCH] Add alacritty to terminal list supporting colors

From: Eike Gebauer <[email-masked]>
Date: Thu, 28 Mar 2024 17:58:36 +0100

By now alacritty has been packaged for Fedora for quite a while 
(https://packages.fedoraproject.org/pkgs/rust-alacritty/alacritty/) and 
is used by a relatively large community (>50k Stars on Github).

The corresponding issue on the alacritty side has sadly been closed as 
"wontfix" (https://github.com/alacritty/alacritty/issues/2210), so I 
would like to ask you to add `TERM alacritty` to dircolors.hin instead, 
as originally requested by Doron Behar.

Regards,

Eike

PS
I did not find a way to reply to the old thread from the mailing list 
archive with the correct `In-Reply-To` header, so this might not be 
threaded correctly with the original messages from 2019.

On Sat, 11 May 2019 16:57:40 +0300, Doron Behar wrote:
 > Well I'm not a developer of alacritty, just a humble user. I had only
 > taken the effort to investigate why I dircolors wouldn't define colors
 > for me when in this terminal.
 >
 > Under it's installation section of the README, listed the supported
 > packages for the various distros:
 >
 > https://github.com/jwilm/alacritty#installation
 >
 > On Fri, May 10, 2019 at 08:24:09AM -0700, Pádraig Brady wrote:On 
28/03/2024 17:34, [email-masked] wrote:
 > > On 12/04/19 12:20, address@hidden wrote:
 > > > From: Doron Behar <address@hidden>
 > > >
 > > > https://github.com/jwilm/alacritty
 > > > ---
 > > >  src/dircolors.hin | 1 +
 > > >  1 file changed, 1 insertion(+)
 > > >
 > > > diff --git a/src/dircolors.hin b/src/dircolors.hin
 > > > index 3aa445bfa..424ed5b19 100644
 > > > --- a/src/dircolors.hin
 > > > +++ b/src/dircolors.hin
 > > > @@ -12,6 +12,7 @@
 > > >  # against the TERM environment variable to determine if it is 
colorizable.
 > > >  TERM Eterm
 > > >  TERM ansi
 > > > +TERM alacritty
 > > >  TERM *color*
 > > >  TERM con[0-9]*x[0-9]*
 > > >  TERM cons25
 > > >
 > >
 > > I don't see this terminal packaged for Feodra at least.
 > > Why does it need its own TERM ?
 > > If it does, could one add 'color' to get the existing matching?
 > >
 > > thanks,
 > > Pádraig